﻿using System;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Collections.Generic;
using System.Diagnostics;

namespace FeatureGuideCharp
{
    class TimezoneSettingSDK
    {
        private string API_KEY = "your_api_key";
        private string API_URL = "https://sandbox.esignlive.com/api";
        private string FILE_PATH = "your_file_path";

        public void SenderTimezone()
        {
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            //update existing sender's time zone
            SenderInfo updatedSender = SenderInfoBuilder.NewSenderInfo("existing_sender_email")
                    .WithTimezoneId("JST")
                    .Build();

            eslClient.AccountService.UpdateSender(updatedSender, "existing_sender_id");
        }


        public void PackageTimeZone()
        {
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            DocumentPackage pkg = PackageBuilder.NewPackageNamed("Test Time Zone" + new DateTime())
               .WithSigner(SignerBuilder.NewSignerWithEmail("signer1@mailinator.com")
                       .WithFirstName("signer1 firstname")
                       .WithLastName("signer1 lastname")
                       )
               .WithDocument(DocumentBuilder.NewDocumentNamed("document 1")
                       .FromFile(FILE_PATH)
                       .WithSignature(SignatureBuilder.SignatureFor("signer1@mailinator.com")
                               .OnPage(0)
                               .AtPosition(100, 300)
                               .WithSize(200, 75))
                       )
               .WithTimezoneId("America/Toronto")
               .Build();

            PackageId packageId = eslClient.CreatePackageOneStep(pkg);
            eslClient.SendPackage(packageId);

            Debug.WriteLine(packageId);
        }
    }
}
